# Direct message

Eventmaker comes with a powerful language editor for your direct message. It’s derived from the markup language [Liquid](https://github.com/Shopify/liquid/wiki/Liquid-for-Designers). This page shows you how you can use the custom Eventmaker liquid tags and variables to build your direct message.

## Liquid variables

Here are the variables available to use in [Liquid](https://github.com/Shopify/liquid/wiki/Liquid-for-Designers) for the direct message :

### {{ direct\_mesage }}

```
{
      "title" => "Out of the event's scope",
       "body" => "We are sorry but you cannot come to our event",
    "default" => boolean
}
```

### {{ event }}

```
{
             "title" => "New Year's Eve 2015",
         "organizer" => "Eventmaker Developers",
       "description" => "This event has not begun yet",
          "timezone" => "Paris",
                "id" => "5408886b4f6905cb83000001",
             "photo" => nil,
    "photo_original" => nil,
        "start_date" => Wed, 31 Dec 2014 22:00:00 CET +01:00,
          "end_date" => Thu, 01 Jan 2015 07:00:00 CET +01:00
}
```

### {{ guest }}

```
{
                                    "_id" => "54da19ae826b77b377000047",
                             "created_at" => nil,
                             "updated_at" => nil,
                             "deleted_at" => nil,
                                    "uid" => "TESTUID",
                              "order_uid" => nil,
                                  "email" => "john.smith@acme.com",
                             "first_name" => "John",
                              "last_name" => "Smith",
                               "position" => "Chief Technical Officer",
                           "company_name" => "Acme Company Inc.",
                           "phone_number" => "999 888 777",
                                "message" => nil,
                        "invitation_code" => nil,
                             "utm_source" => nil,
                             "utm_medium" => nil,
                           "utm_campaign" => nil,
                     "person_parent_type" => nil,
                    "person_parent_field" => nil,
                       "person_parent_id" => nil,
                  "facebook_profile_link" => nil,
                               "event_id" => "51f64612112710982f0006e9",
                      "guest_category_id" => "5419a085826b77608500000a",
                     "payment_promo_code" => nil,
    "send_email_on_guest_category_change" => nil,
                "confirmation_email_sent" => false,
                   "disable_update_email" => false,
                 "wait_for_linked_people" => false,
                            "rsvp_status" => "not_replied",
            "vip_notification_on_checkin" => nil,
                              "showed_up" => nil,
               "green_access_control_ids" => nil,
                 "red_access_control_ids" => nil,
                                     "id" => "54da19ae826b77b377000047",
                         "guest_metadata" => {
                                     "city" => "Paris",
                                  "country" => "France"
                              },
                                    "vat" => 0.0,
                              "badge_url" => "#fake_preview_badge_url",
                        "badge_completed" => false,
                      "access_privileges" => [],
                           "person_files" => [],
                                "tickets" => [],
                              "documents" => [],
                    "discount_percentage" => 0.0,
                "purchase_total_with_vat" => 0.0,
             "purchase_total_without_vat" => 0.0,
                           "purchase_vat" => 0.0,
                         "payment_status" => "FREE",
                       "payment_currency" => "EUR",
                        "last_cart_total" => 0.0,
          "last_cart_total_excluding_vat" => 0.0,
               "last_cart_payment_status" => "FREE",
                 "payment_transaction_id" => nil,
                  "payment_merchant_type" => nil,
                           "payment_date" => nil,
                        "payment_attempt" => 0,
                 "payment_gateway_status" => nil,
             "payment_wufoo_sync_blocked" => false,
                          "person_parent" => nil
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.eventmaker.io/liquid-documentation/direct-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
